package com.lz.common.utils.excel;

import java.lang.reflect.Field;

/**
 * @BelongsProject: ltapi
 * @BelongsPackage: com.lz.lt.api.common.util.excel
 * @Author: gui.quanwang
 * @CreateTime: 2018-11-27 16:52
 * @Description: 泛型类反射后的字段封装类
 * @注意：本内容仅限于杭州霖梓网络科技有限公司内部传阅，禁止外泄以及用于其他的商业目的
 */
public class FieldForSortting {

    /**
     * 泛型反射
     */
    private Field field;

    /**
     * 索引
     */
    private int index;

    /**
     * @param field
     */
    public FieldForSortting(Field field) {
        super();
        this.field = field;
    }

    /**
     * @param field
     * @param index
     */
    public FieldForSortting(Field field, int index) {
        super();
        this.field = field;
        this.index = index;
    }

    /**
     * @return the field
     */
    public Field getField() {
        return field;
    }

    /**
     * @param field
     *            the field to set
     */
    public void setField(Field field) {
        this.field = field;
    }

    /**
     * @return the index
     */
    public int getIndex() {
        return index;
    }

    /**
     * @param index
     *            the index to set
     */
    public void setIndex(int index) {
        this.index = index;
    }

    @Override
    public String toString() {
        return "FieldForSortting{" +
                "field=" + field +
                ", index=" + index +
                '}';
    }
}
